Bug 247401 - rpath requirement stopping src.rpm rebuild
rpath requirement stopping src.rpm rebuild
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: devhelp (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-08 23:33 EDT by J French
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: devhelp-0.13-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 22:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
devhelp.spec diff to call chrpath to remove rpath requirement (311 bytes, text/plain)
2007-07-08 23:33 EDT, J French
no flags Details

  None (edit)
Description J French 2007-07-08 23:33:48 EDT
Description of problem:
rpath requirement stopping src.rpm rebuild

Version-Release number of selected component (if applicable):
0.13-8

How reproducible:
Any time you try to rebuild src.rpm on x86_64

Steps to Reproduce:
rpmbuild --rebuild devhelp-0.13-8.fc7.src.rpm
or
rpm -ivh devhelp-0.13-8.fc7.src.rpm
rpmbuild -ba ~/rpmbuild/SPECS/devhelp.spec
  
Actual results:
Build fails with rpath error

Expected results:
New RPMs

Additional info:
Already fixed: spec file diff attached
Comment 1 J French 2007-07-08 23:33:48 EDT
Created attachment 158743 [details]
devhelp.spec diff to call chrpath to remove rpath requirement
Comment 2 Matthew Barnes 2007-07-18 12:03:56 EDT
I'm not sure I understand why calling chrpath is necessary.  A 0.13-9 package
was recently built from the SRPM on all architectures without this patch.
Comment 3 J French 2007-07-18 22:22:18 EDT
Apparently the code's been fixed. 13-8 (which was current when I submitted this)
won't build without this. The point appears moot however.

Note You need to log in before you can comment on or make changes to this bug.